Ads · Tracking Tags

Get a tracking tag

Fetches a tracking tag.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/tracking-tags/{tagId}
Facebook and Instagram, TikTok, Google Workspace, X, openai and LinkedIn and 1 moregetTrackingTag

Guides: ChatGPT Ads, Pixels and tracking tags, Site pixels

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring
tagIdrequiredstring

Query parameters

NameTypeNotes
adAccountIdstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/tracking-tags/697ae8efd24020381023ee99" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • platformstring

    One of metaads, tiktokads, googleads, xads, openaiads, linkedinads, pinterestads, whopads.

  • tagobject
    16 child fields
    • idstringrequired
    • siteTagIdstring
    • eventsarray of object
      14 child fields
      • idstringrequired
      • namestringrequired
      • typestring
      • siteEventstring

        One of page_view, view_content, add_to_cart, search, initiate_checkout, add_payment_info, purchase.

      • siteEventIdstring
      • statusstring
      • defaultValuenumber
      • currencystring
      • clickWindowDaysinteger
      • viewWindowDaysinteger
      • urlContainsstring
      • alwaysUseDefaultValueboolean
      • primaryboolean
      • countingTypestring

        One of one, every.

    • namestringrequired
    • platformstringrequired

      One of metaads, openaiads, tiktokads, googleads, xads, linkedinads, pinterestads, whopads.

    • kindstringrequired

      One of pixel, tag, insight_tag.

    • statusstringrequired

      One of active, inactive.

    • codestring
    • lastFiredTimeinteger

      Can be null.

    • isUnavailableboolean
    • installedboolean
    • creationTimeinteger
    • automaticMatchingFieldsarray of string

      Each item: one of em, ph, fn, ln, ge, db, ct, st, zp, country, external_id.

    • ownerBusinessIdstring

      Can be null.

    • ownerAdAccountIdstring
    • autoTaggingboolean
200 response
{
  "platform": "metaads",
  "tag": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "siteTagId": "6d5de911d364c53ecd4e8f18",
    "events": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "name": "Acme",
        "type": "string",
        "siteEvent": "page_view",
        "siteEventId": "6a036e72b4645cc9fc4fed0b",
        "status": "active",
        "defaultValue": 12.5,
        "currency": "USD",
        "clickWindowDays": 1,
        "viewWindowDays": 1,
        "urlContains": "https://pozy.ai/media/example-1.jpg",
        "alwaysUseDefaultValue": true,
        "primary": true,
        "countingType": "one"
      }
    ],
    "name": "Acme",
    "platform": "metaads",
    "kind": "pixel",
    "status": "active",
    "code": "string",
    "lastFiredTime": 1,
    "isUnavailable": true,
    "installed": true,
    "creationTime": 1,
    "automaticMatchingFields": [
      "em"
    ],
    "ownerBusinessId": "6e5a40864fb7bdd4fc381ec9",
    "ownerAdAccountId": "6784ed1a71542b1db5a40c3c",
    "autoTagging": true
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Tracking Tags